%define	version 0.6.9
%define name sketch
%define release 2mdk

Name: %{name}
Summary: Drawing tool
Version: %{version}
Release: %{release}
Source0: http://download.sourceforge.net/sketch/%{name}-%{version}.tar.bz2
Source1: Imaging-1.0b1.tar.bz2 
Source2: sketch.menu.bz2
Source3: sketch16.xpm.bz2
Source4: sketch32.xpm.bz2
Source5: sketch48.xpm.bz2
#Patch0: sketch-0.6.8-python2.patch.bz2
Group: Graphics
BuildRequires: XFree86-devel tcl tix tk python-devel >= 2.0
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: python-imaging tkinter
Prefix: %{_prefix}
URL: http://sketch.sourceforge.net/

%description
Drawing tool written in Python, using Bezier curves. Need to install tkinter.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version} -a 1  
# (fl) python2 compilation patch
#%patch0 -p1

%build
./setup.py configure --imaging-include="$RPM_BUILD_DIR/%{name}-%{version}/Imaging-1.0b1/libImaging" 
# for new tcltk
find . -type f -exec perl -pi -e "s|tcl8.0|tcl8.3|" {} \;
find . -type f -exec perl -pi -e "s|tk8.0|tk8.3|" {} \;
find . -type f -exec perl -pi -e "s|tix4.1.8.0|tix4.1.8.3|" {} \;
./setup.py build

%install
./setup.py install --prefix=$RPM_BUILD_ROOT%{_prefix}

# (fg) Install program is shitty to say the least, we have to substitute all
# occurences of RPM_BUILD_{ROOT,DIR} to void :(

(
  cd $RPM_BUILD_ROOT

  for i in `find -type f`; do
    perl -pi -e "s|$RPM_BUILD_ROOT||" $i;
    perl -pi -e "s|$RPM_BUILD_DIR||" $i;
  done
)

# Now correct all the bugs the install script introduces:
cp Sketch/Modules/*so $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/Sketch/Modules
cp Filter/*so Pax/*so $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/Lib/

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_menudir}/sketch
#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/mini
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/large
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_datadir}/icons/mini/sketch.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_datadir}/icons/sketch.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_datadir}/icons/large/sketch.xpm

%post
## menu
%update_menus

%postun
## menu
%clean_menus

%clean

%files
%defattr(-,root,root,0755)
%doc Doc/* 
%{_libdir}/%{name}-%{version}
%{_bindir}/*
%{_menudir}/sketch
%{_datadir}/icons/mini/sketch.xpm
%{_datadir}/icons/sketch.xpm
%{_datadir}/icons/large/sketch.xpm

%changelog
* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.9-2mdk
- Correct GNOME menu entry

* Wed Mar  7 2001 DindinX <flepied@mandrakesoft.com> 0.6.9-1mdk
- 0.6.9
- removed patch for python 2.0 compilation (fixed in 0.6.9)

* Sat Nov 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6.8-3mdk
- added patch for python 2.0 compilation.

* Fri Oct 06 2000 DindinX <odin@mandrakesoft.com> 0.6.8-2mdk
- fix 32x32 and 48x48 icons

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.8-1mdk
- s|0.6.7|0.6.8|.
- rebuild with new tcltk libs
- fix a FIXME: add url for source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6.7-3mdk
- automatically added BuildRequires

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesot.com> 0.6.7-2mdk
- macrosifications
- rebuild for the new tcltk 8.3
- rebuild for the BM

* Mon Jun 19 2000 DindinX <odin@mandrakesoft.com> 0.6.7-1mdk
- 0.6.7

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.6.5-4mdk
- Added 32x32 and 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.6.5-3mdk
- remove menu icon path

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.6.5-2mdk
- Added nice Hlne's menu icon

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 0.6.5-1mdk
- New version
- Added menu entry

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 0.6.3-6mdk
- Many fixes to the spec file...
  The install script is _really_ broken

* Tue Jan 18 2000 Francis Galiegue <francis@mandrakesoft.com>
- Major spec file fixes
- Made it work

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- only add the URL tag

* Tue Dec 28 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix pyhton-imaging requires (thanks Fred)

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- first specfile for sketch
- new in contribs
- little trick to make it compile
